<div fxLayout="row"fxLayoutAlign="center center"mat-button *ngIf="isAdmin">
  <button mat-raised-button color="primary" class="nuevo" [routerLink]="['/product-create']"> Crear producto</button>
  <button mat-raised-button color="primary" class="nuevo" [routerLink]="['/crear-usuario']"> Crear usuario</button>
  <button mat-raised-button color="primary" class="nuevo" [routerLink]="['/admin-usuarios']"> Admin usuario</button>

</div>

<div fxLayout="row"  >
  <div fxFlex="100">

    <table mat-table [dataSource]="lista">
      <!--- Note that these columns can be defined in any order.
              The actual rendered columns are set as a property on the row definition" -->

      <!-- Position Column -->
      <ng-container matColumnDef="id">
        <th mat-header-cell *matHeaderCellDef>id.</th>
        <td mat-cell *matCellDef="let element">{{ element.id }}</td>
      </ng-container>

      <!-- Name Column -->
      <ng-container matColumnDef="name">
        <th mat-header-cell *matHeaderCellDef>Name</th>
        <td mat-cell *matCellDef="let element">{{ element.name }}</td>
      </ng-container>

      <!-- Weight Column -->
      <ng-container matColumnDef="precio">
        <th mat-header-cell *matHeaderCellDef>precio</th>
        <td mat-cell *matCellDef="let element">
          {{ element.precio | currency }}
        </td>
      </ng-container>

      <!-- weight Column -->
      <ng-container matColumnDef="weight">
        <th mat-header-cell *matHeaderCellDef>weight</th>
        <td mat-cell *matCellDef="let element">{{ element.weight }}</td>
      </ng-container>

      <!-- status Column -->
      <ng-container matColumnDef="status">
        <th mat-header-cell *matHeaderCellDef>status</th>
        <td mat-cell *matCellDef="let element">{{ element.status }}</td>
      </ng-container>

       <!-- TypeProduct Column -->
       <ng-container matColumnDef="typeProduct">
        <th mat-header-cell *matHeaderCellDef>typeProduct</th>
        <td mat-cell *matCellDef="let element">{{ element.typeProduct }}</td>
      </ng-container>


      <ng-container matColumnDef="verproducto">
        <th mat-header-cell *matHeaderCellDef></th>
        <td mat-cell *matCellDef="let element">
          <button mat-raised-button color="primary" class="nuevo" [routerLink]="['/product', element.id]"> Ver producto</button>
        </td>
      </ng-container>


      <ng-container matColumnDef="editarproducto">
        <th mat-header-cell *matHeaderCellDef></th>
        <td mat-cell *matCellDef="let element">
          <button mat-raised-button color="primary" class="nuevo" [routerLink]="['/product-edit', element.id]" *ngIf="isAdmin"> Editar producto</button>

        </td>
      </ng-container>

      <ng-container matColumnDef="eliminarproducto">
        <th mat-header-cell *matHeaderCellDef></th>
        <td mat-cell *matCellDef="let element">
          <button mat-raised-button color="primary" class="nuevo" (click)="onDelete(element.id)" *ngIf="isAdmin"> Eliminar producto</button>
        </td></ng-container
      >

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
    </table>
  </div>
</div>

